View Issue Details

IDProjectCategoryView StatusLast Update
0033351LazarusPackagespublic2018-04-01 09:32
ReporterStephanoAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.9 (SVN)Product Build 
Target VersionFixed in Version1.9 (SVN) 
Summary0033351: FPReport designer (feature request): Implement copy and paste for elements
DescriptionCopy and paste for report elements, mainly the memo, is needed.
TagsNo tags attached.
Fixed in Revision57584
LazTarget-
Widgetset
Attached Files

Activities

Michael Van Canneyt

2018-03-31 21:51

administrator   ~0107488

Implemented.

You should be able to copy bands, pages and elements.
If a band is copied & pasted which normally cannot exist twice, the designer will ask what to do.

If you copy a whole page, the same applies: the designer will ask if you want to replace the current page, or add as a new page.

I also implemented loading a file specified on command-line.

Stephano

2018-04-01 09:32

developer   ~0107497

Excellent!
However, 0033291 needs to be solved as copy/paste leads in some cases to elements being inaccessible.

Issue History

Date Modified Username Field Change
2018-03-07 06:17 Stephano New Issue
2018-03-07 06:17 Stephano Status new => assigned
2018-03-07 06:17 Stephano Assigned To => Michael Van Canneyt
2018-03-31 21:51 Michael Van Canneyt Fixed in Revision => 57584
2018-03-31 21:51 Michael Van Canneyt Note Added: 0107488
2018-03-31 21:51 Michael Van Canneyt Status assigned => resolved
2018-03-31 21:51 Michael Van Canneyt Fixed in Version => 1.9 (SVN)
2018-03-31 21:51 Michael Van Canneyt Resolution open => fixed
2018-04-01 09:32 Stephano Note Added: 0107497
2018-04-01 09:32 Stephano Status resolved => closed